gi-gio-2.0.32: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.FileAttributeInfo

Contents

- Exported types
- Methods
- Properties
  - flags
  - name
  - type

Description

Information about a specific attribute.

Synopsis

- newtype FileAttributeInfo = FileAttributeInfo (ManagedPtr FileAttributeInfo)
- newZeroFileAttributeInfo :: MonadIO m => m FileAttributeInfo
- getFileAttributeInfoFlags :: MonadIO m => FileAttributeInfo -> m [FileAttributeInfoFlags]
- setFileAttributeInfoFlags :: MonadIO m => FileAttributeInfo -> [FileAttributeInfoFlags] -> m ()
- clearFileAttributeInfoName :: MonadIO m => FileAttributeInfo -> m ()
- getFileAttributeInfoName :: MonadIO m => FileAttributeInfo -> m (Maybe Text)
- setFileAttributeInfoName :: MonadIO m => FileAttributeInfo -> CString -> m ()
- getFileAttributeInfoType :: MonadIO m => FileAttributeInfo -> m FileAttributeType
- setFileAttributeInfoType :: MonadIO m => FileAttributeInfo -> FileAttributeType -> m ()

# Exported types

newtype FileAttributeInfo Source #

Memory-managed wrapper type.

Constructors

FileAttributeInfo (ManagedPtr FileAttributeInfo) |

#### Instances

Instances details

Eq FileAttributeInfo Source # |
Instance details Defined in GI.Gio.Structs.FileAttributeInfo Methods (==) :: FileAttributeInfo -> FileAttributeInfo -> Bool Source # (/=) :: FileAttributeInfo -> FileAttributeInfo -> Bool Source #
BoxedPtr FileAttributeInfo Source # |
Instance details Defined in GI.Gio.Structs.FileAttributeInfo Methods boxedPtrCopy :: FileAttributeInfo -> IO FileAttributeInfo Source # boxedPtrFree :: FileAttributeInfo -> IO () Source #
CallocPtr FileAttributeInfo Source # |
Instance details Defined in GI.Gio.Structs.FileAttributeInfo Methods boxedPtrCalloc :: IO (Ptr FileAttributeInfo) Source #
ManagedPtrNewtype FileAttributeInfo Source # |
Instance details Defined in GI.Gio.Structs.FileAttributeInfo Methods toManagedPtr :: FileAttributeInfo -> ManagedPtr FileAttributeInfo Source #
tag ~ 'AttrSet => Constructible FileAttributeInfo tag Source # |
Instance details Defined in GI.Gio.Structs.FileAttributeInfo Methods new :: MonadIO m => (ManagedPtr FileAttributeInfo -> FileAttributeInfo) -> [AttrOp FileAttributeInfo tag] -> m FileAttributeInfo Source #

newZeroFileAttributeInfo :: MonadIO m => m FileAttributeInfo Source #

Construct a `FileAttributeInfo` struct initialized to zero.

# Methods

# Properties

## flags

a set of `FileAttributeInfoFlags`.

getFileAttributeInfoFlags :: MonadIO m => FileAttributeInfo -> m [FileAttributeInfoFlags] Source #

Get the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    get fileAttributeInfo #flags

setFileAttributeInfoFlags :: MonadIO m => FileAttributeInfo -> [FileAttributeInfoFlags] -> m () Source #

Set the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    set fileAttributeInfo [ #flags := value ]

## name

the name of the attribute.

clearFileAttributeInfoName :: MonadIO m => FileAttributeInfo -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getFileAttributeInfoName :: MonadIO m => FileAttributeInfo -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get fileAttributeInfo #name

setFileAttributeInfoName :: MonadIO m => FileAttributeInfo -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set fileAttributeInfo [ #name := value ]

## type

the `FileAttributeType` type of the attribute.

getFileAttributeInfoType :: MonadIO m => FileAttributeInfo -> m FileAttributeType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get fileAttributeInfo #type

setFileAttributeInfoType :: MonadIO m => FileAttributeInfo -> FileAttributeType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set fileAttributeInfo [ #type := value ]